Mailgun | DataGrail Documentation

Unlisted page

This page is unlisted. Search engines will not index it, and only users having a direct link can access it.

On this page

This documentation for the Mailgun integration describes the technical capabilities of this integration, including authorization, scopes/permissions, and utilized endpoints. For more information on how to integrate Mailgun, visit our connection instructions.

Version

This integration utilizes the MailgunAPI v3.

Base URL

The base URL used for all Mailgun API endpoints contains the email domain:

https://api.mailgun.net/v3/email_domain

Authentication & Authorization

The DataGrail Mailgun integration connects using api-key authentication which requires a Private API Key and Domain Sending Key.

Sensitive Credentials

Publicly exposing your API credentials can allow unauthorized access to Mailgun API endpoints by a third party. DataGrail stores your API credentials encrypted and protected.

Endpoints Utilized

DataGrail uses the following endpoints to authorize and test the connection:

Method Endpoint Purpose Docs
GET / Get the list of domains

Limits

Limits in Mailgun are calculated using the leaky bucket algorithm. All requests that are made after rate limits have been exceeded are throttled and an HTTP 429 Too Many Requests error is returned. Requests succeed again after enough requests have emptied out of the bucket.


Capabilities

Access

DataGrail's Mailgun integration provides Synchronous Access capabilities for the following supported identifier category: Email.

Data Interactions

For Access requests, DataGrail will take the following actions:

  1. Search events where the recipient matches the Data Subject email.
  2. Search bounces by the Data Subject email.
  3. Search unsubscribers by the Data Subject email.
  4. Search complaints by the Data Subject email.
  5. Paginate over mailing lists in the account.
  6. For each collected mailing list, search for mailing list members by the Data Subject email.

Endpoints Utilized

Method Endpoint Purpose Docs
GET /bounces/DATA_SUBJECT_EMAIL Retrieves a paginated list of events
GET /complaints/DATA_SUBJECT_EMAIL View a single complaint record
GET /events Retrieves a paginated list of events
GET /lists/pages Get mailing lists by page
GET /unsubscribes/DATA_SUBJECT_EMAIL View a single unsubscribe
GET https://api.mailgun.net/v3/lists/LIST_EMAIL/members/DATA_SUBJECT_EMAIL View a single complaint record

Transactional Mailer

The Mailgun integration can be used for your DataGrail account's transactional mailer.

Endpoints Utilized

Method Endpoint Purpose Docs
POST /messages Send an email

If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.

Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.